summaryrefslogtreecommitdiff
path: root/external/ios/build_unbound.sh
diff options
context:
space:
mode:
Diffstat (limited to 'external/ios/build_unbound.sh')
-rwxr-xr-xexternal/ios/build_unbound.sh15
1 files changed, 4 insertions, 11 deletions
diff --git a/external/ios/build_unbound.sh b/external/ios/build_unbound.sh
index 889f79a..14efef8 100755
--- a/external/ios/build_unbound.sh
+++ b/external/ios/build_unbound.sh
@@ -18,19 +18,12 @@ if [ -d "$UNBOUND_DIR_PATH" ]; then
echo "Unbound directory already exists."
else
echo "Cloning Unbound from $Unbound_URL"
- git clone $UNBOUND_GIT_URL -b ${UNBOUND_VERSION} ${UNBOUND_DIR_PATH}
+ mkdir -p ${UNBOUND_DIR_PATH} || true
+ rm -rf ${UNBOUND_DIR_PATH}
+ cp -r "${MONEROC_DIR}/external/unbound" ${UNBOUND_DIR_PATH}
fi
-# Verify if the repository was cloned successfully.
-if [ -d "$UNBOUND_DIR_PATH/.git" ]; then
- echo "Unbound repository cloned successfully."
- cd $UNBOUND_DIR_PATH
- git checkout $UNBOUND_VERSION # Or UNBOUND_HASH.
- test `git rev-parse HEAD` = ${UNBOUND_HASH} || exit 1
-else
- echo "Failed to clone Unbound repository. Exiting."
- exit 1
-fi
+cd $UNBOUND_DIR_PATH
export IOS_SDK=iPhone
export IOS_CPU=arm64